Subject: bug#19530: Solaris 10 df and zfs

From: Ted Carr <[email-masked]>
Date: Wed, 7 Jan 2015 17:00:14 +0000

Hello All,

I have a requirement for the latest version of coreutils on Solaris 10 SPARC and everything is working as expected with the exception of 'df' on ZFS based filesystems...

It is having an issue correctly displaying the file system mounted on root.

SUN df:
uptuslab001:/var/tmp/coreutils-8.23/src:root# /usr/bin/df -hl
Filesystem             size   used  avail capacity  Mounted on
rpool/ROOT/q414         67G    11G    40G    22%    /
/devices                 0K     0K     0K     0%    /devices
ctfs                     0K     0K     0K     0%    /system/contract
proc                     0K     0K     0K     0%    /proc
mnttab                   0K     0K     0K     0%    /etc/mnttab
swap                   7.9G   432K   7.9G     1%    /etc/svc/volatile
objfs                    0K     0K     0K     0%    /system/object
sharefs                  0K     0K     0K     0%    /etc/dfs/sharetab
/platform/sun4u-us3/lib/libc_psr/libc_psr_hwcap1.so.1
                        51G    11G    40G    22%    /platform/sun4u-us3/lib/libc_psr.so.1
/platform/sun4u-us3/lib/sparcv9/libc_psr/libc_psr_hwcap1.so.1
                        51G    11G    40G    22%    /platform/sun4u-us3/lib/sparcv9/libc_psr.so.1
fd                       0K     0K     0K     0%    /dev/fd
swap                   512M   1.5M   511M     1%    /tmp
swap                   7.9G    72K   7.9G     1%    /var/run
rpool/export            67G    39K    40G     1%    /export
export/backup          599G   105G   135G    44%    /export/backup
export/eis             599G    29G   135G    18%    /export/eis
export/jump            599G   100G   135G    43%    /export/jump
export/mp3             599G   118G   135G    47%    /export/mp3
export/patch           599G   4.2G   135G     4%    /export/patch
storage                465G    76K   465G     1%    /export/storage
export/tmp             599G   108G   135G    45%    /export/tmp
rpool                   67G   106K    40G     1%    /rpool

GNU df:
uptuslab001:/var/tmp/coreutils-8.23/src:root# /var/tmp/coreutils-8.23/src/df -hl
Filesystem                                                     Size  Used Avail Use% Mounted on
/platform/sun4u-us3/lib/sparcv9/libc_psr/libc_psr_hwcap1.so.1   51G   11G   40G  22% /platform/sun4u-us3/lib/sparcv9/libc_psr.so.1
swap                                                           8.0G  432K  8.0G   1% /etc/svc/volatile
swap                                                           512M  1.5M  511M   1% /tmp
swap                                                           8.0G   72K  8.0G   1% /var/run
rpool/export                                                    40G   39K   40G   1% /export
export/backup                                                  240G  105G  135G  44% /export/backup
export/eis                                                     164G   29G  135G  18% /export/eis
export/jump                                                    235G  101G  135G  43% /export/jump
export/mp3                                                     253G  119G  135G  47% /export/mp3
export/patch                                                   139G  4.2G  135G   4% /export/patch
storage                                                        466G   77K  466G   1% /export/storage
export/tmp                                                     243G  109G  135G  45% /export/tmp
rpool                                                           40G  106K   40G   1% /rpool

If I force it to just display / I see:

uptuslab001:/var/tmp/coreutils-8.23/src:root# /var/tmp/coreutils-8.23/src/df -h /
Filesystem       Size  Used Avail Use% Mounted on
rpool/ROOT/q414   51G   11G   40G  22% /

Which is the correct name but wrong 'Size', should be:

uptuslab001:/var/tmp/coreutils-8.23/src:root# /usr/bin/df -h /
Filesystem             size   used  avail capacity  Mounted on
rpool/ROOT/q414         67G    11G    40G    22%    /

Cheers,

Ted Carr
Technical Analyst
Hosting Design and Integration
CBS IT Services

GSK
1250 S. Collegeville Road, Collegeville, Pennsylvania, 19426-0989, United States
Email   [email-masked]<mailto:[email-masked]>

gsk.com<http://www.gsk.com/>  |  Twitter<http://twitter.com/GSK>  |  YouTube<http://www.youtube.com/user/gskvision>  |  Facebook<http://www.facebook.com/glaxosmithkline>  |  Flickr<http://www.flickr.com/photos/glaxosmithkline>